Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# SSL_Asynch_Stream.cpp File Reference

`#include "SSL_Asynch_Stream.h"`
`#include "ace/WIN32_Proactor.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/Proactor.h"`
`#include <openssl/err.h>`

Include dependency graph for SSL_Asynch_Stream.cpp:

## Classes
class | ACE_SSL_Asynch_Read_Stream_Result
class | ACE_SSL_Asynch_Result
## Defines
#define | A_RESULT ACE_WIN32_Asynch_Result
#define | ARS_RESULT ACE_WIN32_Asynch_Read_Stream_Result
#define | AWS_RESULT ACE_WIN32_Asynch_Write_Stream_Result
#define | ERR_CANCELED ERROR_OPERATION_ABORTED
## Functions
| ACE_RCSID (ACE_SSL, SSL_Asynch_Stream,"$Id: SSL_Asynch_Stream.cpp,v 1.14 2005/12/03 20:06:44 ossama Exp $") ACE_BEGIN_VERSIONED_NAMESPACE_DECLclass ACE_SSL_Asynch_Write_Stream_Result

## Define Documentation

#define A_RESULT ACE_WIN32_Asynch_Result

#define ARS_RESULT ACE_WIN32_Asynch_Read_Stream_Result

#define AWS_RESULT ACE_WIN32_Asynch_Write_Stream_Result

#define ERR_CANCELED ERROR_OPERATION_ABORTED

## Function Documentation

ACE_RCSID | ( | ACE_SSL | ,
|  | SSL_Asynch_Stream | ,
|  | "$Id: SSL_Asynch_Stream. | cpp,
|  | v 1.14 2005/12/03 20:06:44 ossama Exp $" |
| ) |

| Factory class will have special permissions.